import * as _versini_ui_private_dist_utilities from '@versini/ui-private/dist/utilities';
import React from 'react';

declare const TEXT_INPUT_CLASSNAME = "av-text-input";
declare const TEXT_INPUT_SIMPLE_CLASSNAME = "av-text-input-simple";
declare const TEXT_INPUT_WRAPPER_CLASSNAME = "av-text-input-wrapper";
declare const TEXT_INPUT_HELPER_TEXT_CLASSNAME = "av-text-input-helper-text";

declare const TextInput: React.ForwardRefExoticComponent<{
    rightElement?: React.ReactElement;
} & {
    label: string;
    name: string;
    error?: boolean;
    focusMode?: "dark" | "light" | "system" | "alt-system";
    helperText?: string;
    inputClassName?: string;
    labelHidden?: boolean;
    labelId?: string;
    mode?: "dark" | "light" | "system" | "alt-system";
    noBorder?: boolean;
    raw?: boolean;
} & _versini_ui_private_dist_utilities.SpacingProps & React.InputHTMLAttributes<HTMLInputElement> & React.RefAttributes<HTMLInputElement>>;

declare const TextInputMask: React.ForwardRefExoticComponent<{
    rightElement: React.ReactElement;
    onMaskChange?: (masked: boolean) => void;
    onTextInputMaskBlur?: () => void;
} & {
    label: string;
    name: string;
    error?: boolean;
    focusMode?: "dark" | "light" | "system" | "alt-system";
    helperText?: string;
    inputClassName?: string;
    labelHidden?: boolean;
    labelId?: string;
    mode?: "dark" | "light" | "system" | "alt-system";
    noBorder?: boolean;
    raw?: boolean;
} & _versini_ui_private_dist_utilities.SpacingProps & React.InputHTMLAttributes<HTMLInputElement> & React.RefAttributes<HTMLInputElement>>;

export { TEXT_INPUT_CLASSNAME, TEXT_INPUT_HELPER_TEXT_CLASSNAME, TEXT_INPUT_SIMPLE_CLASSNAME, TEXT_INPUT_WRAPPER_CLASSNAME, TextInput, TextInputMask };
